#!/usr/bin/python3
import sys

from gi.repository import Gdk
from gi.repository import GLib
from gi.repository import Gtk

print(sys.argv)
if len(sys.argv) > 1 and sys.argv[1] == "watch":
    cursor = Gdk.CursorType.WATCH
else:
    cursor = Gdk.CursorType.LEFT_PTR


def reset_cursor():
    Gdk.get_default_root_window().set_cursor(Gdk.Cursor.new(cursor))
    Gtk.main_quit()


GLib.idle_add(reset_cursor)
Gtk.main()
